TRUFFLEHOG(1)

NAME
trufflehog - Find credentials and secrets in code repositories

SYNOPSIS
trufflehog [OPTIONS] COMMAND [ARGS]

DESCRIPTION
TruffleHog scans various sources (filesystems, Git repositories, S3 buckets, etc.) for secrets, credentials, and other sensitive information.

COMMANDS

git Scan Git repositories for secrets

filesystem
    Scan a filesystem for secrets

s3  Scan AWS S3 buckets for secrets

github
    Scan GitHub organizations or repositories

OPTIONS

--help
    Show help message

--version
    Show version information

--debug
    Enable debug logging

--no-verification
    Disable API verification

EXAMPLES
Scan a Git repository:
    trufflehog git https://github.com/example/repo.git
Scan a filesystem directory:
    trufflehog filesystem /path/to/directory

SEE ALSO
Full documentation: https://github.com/trufflesecurity/trufflehog

AUTHOR
trufflehog was written by Truffle Security Co.